Bug 53605 - gcj3 static linking unresolved symbols errors
gcj3 static linking unresolved symbols errors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-12 14:34 EDT by Niklas Fondberg
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version: 3.2.2-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-05 11:55:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Niklas Fondberg 2001-09-12 14:34:11 EDT
Description of Problem:
gjc3 fails to statically link libraries with '-static' or '-Wl, -Bstatic' 
options

Version-Release number of selected component (if applicable):


How Reproducible:
everytime

Steps to Reproduce:
1.create a helloworld.java
2.run 'gcj3 -static -o helloworld --main=helloworld helloworld.java'
3.
 

Actual Results:
unresolved symbols ld exiting with errors

Expected Results:
statically linked libraries

Additional Information:
tried on debian unstable gcj 3.0.1 with success
Comment 1 Jakub Jelinek 2003-08-05 11:55:10 EDT
Should be fixed in 3.0.1-4 and later.

Note You need to log in before you can comment on or make changes to this bug.